Remove a variable from a cluster
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/variables/{variable_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/variables/{variable_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/variables/{variable_name} \
--header 'Authorization: Bearer <token>'{
"deleted": true
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Variables
Remove a variable from a cluster
Deletes the named variable from the cluster, at the path the portal uses; the same route as DELETE /api/v1/org/clusters/imported/{cluster_id}/variables/{variable_name}. Requires variables.write on the cluster.
DELETE
/
api
/
v1
/
org
/
clusters
/
{cluster_id}
/
variables
/
{variable_name}
Remove a variable from a cluster
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/variables/{variable_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/variables/{variable_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/variables/{variable_name} \
--header 'Authorization: Bearer <token>'{
"deleted": true
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}